<template>
  <div class="mt-form-fields-activity">
    <div class="mt-fields-section">
      <h3 class="has-text-weight-bold">Informations sur le poste au RO</h3>
      <b-field label="Code">
        <b-input v-model="posteRo.code" placeholder="Ex: CDU" required class="mt-input" maxlength="4" />
      </b-field>
      <b-field label="Libellé">
        <b-input v-model="posteRo.libelle" placeholder="Ex: commandant d'unité" required class="mt-input" />
      </b-field>
      <b-field label="Ordre ">
        <b-input v-model="posteRo.ordre" placeholder="Ex: 10" type="number" required min="0" />
      </b-field>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    posteRo: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}
.mt-fields-section {
  margin-bottom: 1.25rem;
}
.mt-fake-field {
  margin-bottom: 0;
}
</style>
